Bug 9067 - Staging an authority file gives conflicting messages
Summary: Staging an authority file gives conflicting messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 09:09 UTC by Magnus Enger
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Managing a staged authority file (61.75 KB, image/png)
2012-11-13 09:09 UTC, Magnus Enger
Details
Bug 9067: Hide item related strings when importing staged authority records (3.12 KB, patch)
2015-04-01 11:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Sample 1 record authority MRC file. (370 bytes, application/mrc)
2015-04-11 05:47 UTC, M. Tompsett
Details
Bug 9067: Hide item related strings when importing staged authority records (4.74 KB, patch)
2015-04-13 08:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9067 - Fix space (1.15 KB, patch)
2015-04-25 15:46 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9067: Hide item related strings when importing staged authority records (4.80 KB, patch)
2015-04-25 15:47 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9067 - Fix space (1.21 KB, patch)
2015-04-25 15:47 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 9067: Hide item related strings when importing staged authority records (4.86 KB, patch)
2015-04-29 05:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9067 - Fix space (1.27 KB, patch)
2015-04-29 05:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9067: Hide item related strings when importing staged authority records (4.75 KB, patch)
2015-05-14 15:14 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9067 - Fix space (1.26 KB, patch)
2015-05-14 15:14 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-11-13 09:09:40 UTC
Created attachment 13417 [details]
Managing a staged authority file

After uploading a MARC file on "Home › Tools › Stage MARC records for import" it is possible to choose "Authority" as the "Record type". Doing this hides the "Check for embedded item record data?" question correctly. 

However, after clicking on "Stage for import", the list of feedback includes "0 item records found and staged". 

After clicking on the "Manage staged records" link on that same screen, the new screen that appears includes an option for "Item processing" as well as the text "Add new bibliographic records into this framework:" followed by a dropdown containing the bibliographic frameworks. See attached screenshot. 

I tried staging/importing an example file from another bug, and it did get imported OK, so this problem might be mostly cosmetic.
Comment 1 Katrin Fischer 2013-10-03 19:16:20 UTC
This is still true for managing staged imports on current master: item options are offered and displayed in the summary.
Comment 2 Jonathan Druart 2015-04-01 11:32:14 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-01 11:33:21 UTC
(In reply to Magnus Enger from comment #0)
> the text "Add new bibliographic records into this framework:" followed by a
> dropdown containing the bibliographic frameworks. See attached screenshot. 

This has been done by bug 10097.
Comment 4 M. Tompsett 2015-04-11 05:43:55 UTC
Comment on attachment 37416 [details] [review]
Bug 9067:  Hide item related strings when importing staged authority records

Review of attachment 37416 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt
@@ +306,5 @@
>              [% END %]
>          [% END %]
>      </li>
> +
> +    [% IF ( record_type == 'biblio' ) %]

You missed the section around line 378:
Number of items added	0
Number of items replaced	0
Number of items ignored because of duplicate barcode	0
Comment 5 M. Tompsett 2015-04-11 05:46:11 UTC
Changing to Failed QA, simply because of the block of item counts was displayed:

Number of items added	0
Number of items replaced	0
Number of items ignored because of duplicate barcode	0

while viewing .../cgi-bin/koha/tools/manage-marc-import.pl
Everything else looked great. Just fix that tiny piece.
Comment 6 M. Tompsett 2015-04-11 05:47:27 UTC
Created attachment 37674 [details]
Sample 1 record authority MRC file.

Attaching sample authority record that I used for testing.
Comment 7 Jonathan Druart 2015-04-13 08:20:03 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2015-04-25 15:43:14 UTC
Comment on attachment 37713 [details] [review]
Bug 9067: Hide item related strings when importing staged authority records

Review of attachment 37713 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt
@@ +378,5 @@
> +  [% IF ( record_type == 'biblio' ) %]
> +      <tr><td>Number of items added</td><td>[% num_items_added %]</td></tr>
> +      <tr><td>Number of items replaced</td><td>[% num_items_replaced %]</td></tr>
> +      <tr><td>Number of items ignored because of duplicate barcode</td><td>[% num_items_errored %]</td></tr>
> +  [ % END %]

Tiny spacing issue. Fixing and signing off.
Comment 9 M. Tompsett 2015-04-25 15:46:59 UTC Comment hidden (obsolete)
Comment 10 M. Tompsett 2015-04-25 15:47:40 UTC Comment hidden (obsolete)
Comment 11 M. Tompsett 2015-04-25 15:47:46 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-04-29 05:43:20 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2015-04-29 05:43:34 UTC Comment hidden (obsolete)
Comment 14 Tomás Cohen Arazi 2015-05-14 14:39:57 UTC
Please rebase for inclusion ASAP.
Comment 15 M. Tompsett 2015-05-14 15:14:06 UTC
Created attachment 39188 [details] [review]
Bug 9067: Hide item related strings when importing staged authority records

On importing authority records, the items related string should not be
displayed.

Test plan:
1/ Import an authority record
2/ Confirm the item related string are not displayed.
3/ Before this script, the record_type param was lost just after
importing the records. Now you should see
"Processing authority records" of "Processing bibliographic records" in
the "MARC staging results"
4/ Revert the import and check there is not item related strings.

No behavior should exist on importing bibliographic records.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 M. Tompsett 2015-05-14 15:14:11 UTC
Created attachment 39189 [details] [review]
Bug 9067 - Fix space

There was a [ % END %] which triggered template parsing errors.
Follow the test plan in comment #7 with both patches applied.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 M. Tompsett 2015-05-14 15:19:21 UTC
Fixed conflict, retested, reset back to Passed QA.
(*grumbles about commas and white space making things conflict so easily*)
Comment 18 Tomás Cohen Arazi 2015-05-14 15:38:15 UTC
Patches pushed to master.

Thanks Jonathan and Mark!